#include "lm75.h"
#include "lcd.h"
#include <stdlib.h>
#include <avr/signal.h>
#include <avr/interrupt.h>

volatile unsigned char buffer [5];

SIGNAL (SIG_OVERFLOW1)
{
	lcd_gotoxy (0,0);
	dtostrf ((double) lm75_get_temperature (0)/2, 5, 1, buffer);
	lcd_puts (buffer);
}


int main (void)
{
		
	lcd_init (LCD_DISP_ON);

	/*>100ms delay needed*/
	/*Prescaler 64 @ 8 MHz --> Timer Overflow each 0,5s*/
	TCCR1B = (1<<CS11) | (1<<CS10);
	TIMSK |= (1<<TOIE1);

	sei ();

	for (;;);
	return 0;
}

